Name: ca_policy_igtf
Version: 1.71
Release: 1
Source: ca_policy_igtf-1.71.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
AutoReqProv: no

Summary: Trust anchors production-level collection policy for the IGTF
URL: http://www.gridpma.org/
Requires: ca_policy_igtf-classic = 1.71

%prep
%setup -n ca_policy_igtf-1.71

%description
This collection represent the current set of accredited authorities
by the International Grid Trust Federation member PMAs, that meet the 
production qualify Authentication Profiles. This includes the "classic" 
profile.

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/
# clean up files that should not be packaged (experimental/unaccredited info)
for pname in experimental unaccredited discontinued suspended
do
  rm -f $RPM_BUILD_ROOT/etc/grid-security/certificates/policy-igtf-$pname.info || true
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root)
/etc/grid-security/certificates/policy-igtf.info


%package classic
Summary: Classic X.509 CA collection policy for the IGTF
URL: http://www.gridpma.org/
Group: Security/Certificates
AutoReqProv: no
Requires: ca_CNRS2-Grid-FR = 1.71, ca_seegrid-ca-2013 = 1.71, ca_RDIG = 1.71, ca_CESNET-CA-Root = 1.71, ca_UKeScienceCA-2B = 1.71, ca_SRCE = 1.71, ca_IRAN-GRID = 1.71, ca_QuoVadis-Grid-ICA = 1.71, ca_PK-Grid-2007 = 1.71, ca_ANSPGrid = 1.71, ca_NECTEC = 1.71, ca_MYIFAM = 1.71, ca_CNRS2-Projets = 1.71, ca_MaGrid = 1.71, ca_KISTI-2007 = 1.71, ca_cilogon-osg = 1.71, ca_HellasGrid-Root = 1.71, ca_SiGNET-CA = 1.71, ca_UTN-USERTrust-RSA-CA = 1.71, ca_pkIRISGrid = 1.71, ca_CNRS2 = 1.71, ca_COMODO-RSA-CA = 1.71, ca_NorduGrid-2015 = 1.71, ca_CNIC = 1.71, ca_InCommon-IGTF-Server-CA = 1.71, ca_DigiCertGridCA-1G2-Classic-2015 = 1.71, ca_NIIF-Root-CA-2 = 1.71, ca_MARGI = 1.71, ca_UniandesCA = 1.71, ca_LACGridCA = 1.71, ca_CERN-GridCA = 1.71, ca_BEGrid2008 = 1.71, ca_QuoVadis-Root-CA1 = 1.71, ca_KENETCA-ICA-2015 = 1.71, ca_KENETROOTCA = 1.71, ca_CyGrid = 1.71, ca_NIKHEF = 1.71, ca_UNLPGrid = 1.71, ca_INFN-CA-2015 = 1.71, ca_UGRID = 1.71, ca_RomanianGRID = 1.71, ca_TRGrid = 1.71, ca_SlovakGrid = 1.71, ca_BG-ACAD-CA = 1.71, ca_DFN-GridGermany-Root = 1.71, ca_REUNA-ca = 1.71, ca_HKU = 1.71, ca_UNAMgrid-ca = 1.71, ca_ASGCCA-2007 = 1.71, ca_MD-Grid = 1.71, ca_BrGrid = 1.71, ca_TERENA-eScience-SSL-CA = 1.71, ca_UKeScienceCA-2A = 1.71, ca_DigiCertGridTrustCAG2-Classic = 1.71, ca_LIPCA = 1.71, ca_EG-GRID = 1.71, ca_INFN-CA-2006 = 1.71, ca_ArmeSFo = 1.71, ca_TERENA-eScience-SSL-CA-2 = 1.71, ca_IHEP-2013 = 1.71, ca_TERENA-eScience-SSL-CA-3 = 1.71, ca_MREN-CA = 1.71, ca_HellasGrid-CA-2006 = 1.71, ca_CESNET-CA-3 = 1.71, ca_DigiCertGridCA-1-Classic = 1.71, ca_TSU-GE = 1.71, ca_BYGCA = 1.71, ca_DZeScience = 1.71, ca_KEK = 1.71, ca_AustrianGrid = 1.71, ca_DigiCertAssuredIDRootCA-Root = 1.71, ca_AddTrust-External-CA-Root = 1.71, ca_GermanGrid = 1.71, ca_NorduGrid = 1.71, ca_UTN-USERFirst-Hardware = 1.71, ca_DigiCertGridTrustCA-Classic = 1.71, ca_AEGIS = 1.71, ca_IGCA = 1.71, ca_GridCanada = 1.71, ca_PolishGrid = 1.71, ca_UKeScienceRoot-2007 = 1.71, ca_DigiCertGridRootCA-Root = 1.71, ca_CERN-Root-2 = 1.71
Obsoletes: ca_CyGrid-old ca_CNRS-DataGrid ca_CESNET-old ca_SwissSign-Silver-Root ca_SWITCH-Personal2 ca_SWITCH-CA2 ca_SWITCH-Server2 ca_KISTI ca_Russia ca_SWITCH-Server ca_SWITCH-Personal ca_LIP ca_GridCanada-old ca_UKeScience ca_HellasGrid ca_INFN ca_Spain ca_SiGNET ca_CERN ca_SWITCH-Personal-2006 ca_SWITCH-Server-2006 ca_ASGCCA ca_UKeScienceRoot ca_UKeScienceCA ca_PK-Grid ca_EstonianGrid ca_DFN-GridGermany-User ca_DFN-GridGermany-Server ca_BEGrid ca_SWITCH-Personal-2007 ca_SwissSign-Root ca_SWITCH ca_SwissSign-Bronze ca_SwissSign-Silver ca_SWITCH-Server-2007 ca_RMKI ca_CNRS ca_CNRS-Projets ca_CNRS-Grid-FR ca_NGO-Netrust ca_CESNET ca_Grid-Ireland ca_UKeScienceCA-2007 ca_TACC-Classic ca_TACC-Root ca_IUCC ca_AIST ca_JUnet-CA ca_SWITCHgrid-Root ca_APAC ca_DOEGrids ca_ESnet ca_IHEP ca_SEE-GRID ca_PRAGMA-UCSD ca_SWITCH-QuoVadis-Grid-ICA ca_ULAGrid-CA-2008 ca_HIAST ca_NCHC ca_NIIF ca_CERN-Root ca_CERN-TCA ca_NAREGI ca_IRAN-GRID-G2 ca_CALG ca_BalticGrid ca_DigiCertGridCA-1G2-Classic ca_SDG


%description classic
This is the policy collection that contains all authorities 
accredited by the IGTF member PMAs according to the "classic" 
X.509 Certification Authorities with Secured Infrastructure Profile
Install this package if you are willing to trust CAs that are 
accredited by the the member PMAs under the "classic" profile.
Refer to the IGTF web site for the classic authentication profile.

%files classic
%defattr(644,root,root)
/etc/grid-security/certificates/policy-igtf-classic.info



%package slcs
Summary: Short-lived Credential Services collection policy for the IGTF
URL: http://www.gridpma.org/
Group: Security/Certificates
AutoReqProv: no
Requires: ca_NCSA-slcs-2013 = 1.71, ca_DFN-SLCS = 1.71, ca_PSC-Myproxy-CA = 1.71, ca_FNAL-SLCS = 1.71, ca_NCSA-tfca-2013 = 1.71, ca_NERSC-SLCS = 1.71
Obsoletes: ca_SWITCHslcs ca_ncsa-gridshib-ca ca_SWITCHslcs2011 ca_NCSA-tfca ca_NICS-MyProxy ca_NCSA-slcs

%description slcs
This is the policy collection that contains all authorities 
accredited by the IGTF member PMAs according to the "slcs"
Short-lived Credential Generation Services Profile
Install this package if you are willing to trust CAs that are 
accredited by the the member PMAs under the "slcs" profile.
Refer to the IGTF web site for the slcs authentication profile.

%files slcs
%defattr(644,root,root)
/etc/grid-security/certificates/policy-igtf-slcs.info


%package mics
Summary: Member-Integrated Credential Services collection policy for the IGTF
URL: http://www.gridpma.org/
Group: Security/Certificates
AutoReqProv: no
Requires: ca_AAACertificateServices = 1.71, ca_cilogon-silver = 1.71, ca_TERENAeSciencePersonalCA = 1.71, ca_TERENAeSciencePersonalCA2 = 1.71, ca_UTNAAAClient = 1.71, ca_TERENAeSciencePersonalCA3 = 1.71, ca_HPCI = 1.71
Obsoletes: ca_TACC-MICS ca_NCSA-mics

%description mics
This is the policy collection that contains all authorities 
accredited by the IGTF member PMAs according to the "mics"
Member-Integrated Credential Services Profile
Install this package if you are willing to trust CAs that are 
accredited by the the member PMAs under the "mics" profile.
Refer to the IGTF web site for the mics authentication profile.

%files mics
%defattr(644,root,root)
/etc/grid-security/certificates/policy-igtf-mics.info


%package iota
Summary: Identifier-Only Trust Assurance Services collection policy for the IGTF
URL: http://www.igtf.net/
Group: Security/Certificates
AutoReqProv: no
Requires: ca_cilogon-basic = 1.71


%description iota
This is the policy collection that contains all authorities 
accredited by the IGTF member PMAs according to the "IOTA"
Identifier-Only Trust Assurance Services Profile
Install this package if you are willing to trust CAs that are 
accredited by the the member PMAs under the "IOTA" profile.
Refer to the IGTF web site for the IOTA authentication profile.
Please note that the assurance level for IOTA is SIGNIFICANTLY
DIFFERENT from Clasic, MICS or SLCS, in that only limited 
traceability is provided and subject naming may be pseudonymous.

%files iota
%defattr(644,root,root)
/etc/grid-security/certificates/policy-igtf-iota.info

